aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authortobigun <tobigun@b956fd51-792f-4845-bead-9b4dfca2ff2c>2011-01-13 18:23:19 +0000
committertobigun <tobigun@b956fd51-792f-4845-bead-9b4dfca2ff2c>2011-01-13 18:23:19 +0000
commit67d7b72a4d1af427338c858ab5922fe967f3de92 (patch)
tree4787c7570f2eb96ed55db6fa1d282a402ee77a8a
parent5c13f6f52d23c0b6aa4dca40730cf55ef54773fb (diff)
downloadusdx-67d7b72a4d1af427338c858ab5922fe967f3de92.tar.gz
usdx-67d7b72a4d1af427338c858ab5922fe967f3de92.tar.xz
usdx-67d7b72a4d1af427338c858ab5922fe967f3de92.zip
check for correct PATH environment var
add FFMPEG_LIBDIR var git-svn-id: svn://svn.code.sf.net/p/ultrastardx/svn/branches/experimental@2796 b956fd51-792f-4845-bead-9b4dfca2ff2c
-rwxr-xr-xmediaplugin/dists/buildbot/win32-delphi-build.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/mediaplugin/dists/buildbot/win32-delphi-build.sh b/mediaplugin/dists/buildbot/win32-delphi-build.sh
index 6d86cac7..96ce435e 100755
--- a/mediaplugin/dists/buildbot/win32-delphi-build.sh
+++ b/mediaplugin/dists/buildbot/win32-delphi-build.sh
@@ -1,4 +1,12 @@
+# check if the MinGW/Msys grep is used and not Borland's or FPC's version
+GREP_DIR=`which grep`
+if [ "$GREP_DIR" != "/bin/grep.exe" ]; then
+ echo "Incorrect version of grep ($GREP_DIR)"
+ echo "Make sure mingw/msys precede FPC and Delphi in the PATH environment."
+ exit 1
+fi
cd src/mediaplugins/ffmpeg
./autogen.sh
-./configure ffmpeg_CFLAGS="-Ilibffmpeg/include" ffmpeg_LIBS="-Llibffmpeg/lib -lavcodec -lavformat -lavutil" libswscale_CFLAGS="-Ilibffmpeg/include" libswscale_LIBS="-Llibffmpeg/lib -lswscale"
+FFMPEG_LIBDIR="libffmpeg"
+./configure ffmpeg_CFLAGS="-I${FFMPEG_LIBDIR}/include" ffmpeg_LIBS="-L${FFMPEG_LIBDIR}/lib -lavcodec -lavformat -lavutil" libswscale_CFLAGS="-I${FFMPEG_LIBDIR}/include" libswscale_LIBS="-L${FFMPEG_LIBDIR}/lib -lswscale"
make compile